on 1:load:{ 
  load -rs " $+ $scriptdir $+ multiserver1.mrc $+ "
  load -rs " $+ $scriptdir $+ multiserver2.mrc $+ "
  load -rs " $+ $scriptdir $+ multiserverDCC.mrc $+ "
  load -rs " $+ $scriptdir $+ multiserveralias.mrc $+ "
  load -rs " $+ $scriptdir $+ multiserverpopup.mrc $+ "
  load -rs " $+ $scriptdir $+ multiserverservices.mrc $+ "
  echo $colour(normal) -se To access the multiserver, choose the item "multiserver" in the status popup or above in the "commands" menu ("commands" could be another name if it had been modified by another script).
  echo $colour(normal) -se Or type 3/multiserver  instead of using a popup.
  echo $colour(normal) -se Please read the file "Readme.txt" for additionnal informations.
}


on *:START:{
  unset %multi*
  unset %MfloodNumber*
  unset %MfloodDetection.*
  unset %MfloodDetected.*
  .disable #identd
}

alias multiserver { show.multiserver.dialog  }


alias uninstall {
  if ($1 == multiserver) {  
    .unload -rs " $+ $scriptdir $+ multiserver1.mrc $+ "
    .unload -rs " $+ $scriptdir $+ multiserver2.mrc $+ "
    .unload -rs " $+ $scriptdir $+ multiserverDCC.mrc $+ "
    .unload -rs " $+ $scriptdir $+ multiserveralias.mrc $+ " 
    .unload -rs " $+ $scriptdir $+ multiserverpopup.mrc $+ "
    .unload -rs " $+ $scriptdir $+ multiserverservices.mrc $+ "
    unset %multi*
    unset %Mflood*
    unset %M.no.flood 
    unset %Mspam 
    echo $colour(info) -se *** Multiserver successfully uninstalled
    .unload -rs " $+ $scriptdir $+ multiserversetup.mrc $+ "
  }
}


menu status,menubar {
  Multiserver:show.multiserver.dialog
}



alias show.multiserver.dialog {
  if ($dialog(MultiserverDialog) == $null) { 
    dialog -m MultiserverDialog MultiserverDialog
  }
  else { dialog  -v MultiserverDialog }
}

dialog MultiserverDialog {
  title "Multiserver "
  size -1 -1 160 185
  option dbu
  tab "",1401,0 0 160 165
  tab "",1411,0 0 160 165
  tab "ɾ",1440,0 0 160 165
  tab "Ǽ",1451,0 0 160 165
  text " ̸ :",1392,10 21 30 10,tab 1401
  edit "",1397,40 20 70 10,autohs,tab 1401
  text "Email ּ :",1393,10 31 30 10,tab 1401
  edit "",1398,40 31 70 10,autohs,tab 1401
  text "г :",1394,10 41 30 10,tab 1401
  edit "",1400,40 40 50 10,autohs,tab 1401
  check "ڱ  ",1396,40 51 50 10,tab 1401
  text " ۿ:",1395, 10 63 30 10,tab 1401
  edit "",1409,40 62 115 10,autohs,tab 1401

  text "Ʈ :",1410,10 91 30 10,tab 1401
  combo 1413,40 90 115 100,drop tab 1401 
  text "ּ : ",1402,10 104 30 10,tab 1401
  edit "",1405,40 103 70 10,autohs,tab 1401
  text "Ʈ : ",1403,10 114 30 10,tab 1401
  edit "",1406,40 113 50 10,autohs,tab 1401
  text "йȣ :",1404, 10 124 30 10,tab 1401
  edit "",1407,40 123 50 10,autohs,tab 1401
  button " ", 1390, 40 138 60 12,tab 1401

  box " :",1414,10 20 140 70,tab 1411 
  text " ID:",1415,20 31 25 10,tab 1411 
  edit "",1416,50 30 70 10,tab 1411 
  text "System :",1417,20 41 25 10,tab 1411 
  edit "",1418,50 40 70 10,tab 1411 
  text "Port :",1419,20 51 25 10,tab 1411 
  edit "",1420,50 50 50 10,tab 1411 
  check "  ",1421,50 65 80 10,tab 1411
  check "߿ ",1422,50 75 80 10,tab 1411

  text " :",1424,10 92 140 10,tab 1411 
  text "ִ ", 1426,20 102 15 10,tab 1411
  edit "",1433,40 101 12 10,tab 1411
  text "queries/pings/notices/invites/ctcps",1434,55 102 85 10,tab 1411
  text "",1427,20 112 25 10,tab 1411
  edit "",1435,40 111 12 10,tab 1411
  text "",1436,55 112 25 10,tab 1411
  text "",1428,20 122 25 10,tab 1411
  edit "",1437,40 121 12 10,tab 1411
  text "",1438,55 122 25 10,tab 1411
  text "ܴ",1450,10 132 25 10,tab 1411
  edit "",1449,40 131 115 10,autohs tab 1411
  text "Թ :",1442,10 145 30 10,tab 1411
  edit "",1443,40 144 115 10,tab 1411
  check " ",1448,10 155 55 10,tab 1411
  check "ȿ ",1455,75 155 55 10,tab 1411

  list 1439,10 20 60 140,tab 1440
  edit "",1425,75 20 80 120,multi vsbar return,tab 1440
  button "Ͽ ɾ",1429,85 150 55 10,tab 1440

  ;  edit "",1430,10 20 140 140,multi vsbar return,tab 1423

  list 1452,10 20 60 100,tab 1451 
  button "Remove",1453,85 20 30 10,tab 1451
  text "",1454,10 120 140 30, tab 1451

  button "OK",1408, 45 170 30 12,ok
  button "Cancel",1391,80 170 30 12,cancel
}


ON *:DIALOG:MultiserverDialog:INIT:0:{
  writeini " $+ $scriptdir $+ multidata.ini $+ " connection nickname $me
  var %multiserver.init.server = $readini $scriptdir $+ multidata.ini connection server 
  did -ra MultiserverDialog 1397 $readini $scriptdir $+ multidata.ini connection username
  did -ra MultiserverDialog 1398 $readini $scriptdir $+ multidata.ini connection email
  did -ra MultiserverDialog 1400 $readini $scriptdir $+ multidata.ini connection nickname
  var %multi.mode = $readini $scriptdir $+ multidata.ini connection invisible 
  if (%multi.mode == on) { did -c MultiserverDialog 1396 }
  else { did -u MultiserverDialog 1396 }
  did -ra MultiserverDialog 1409 $readini $scriptdir $+ multidata.ini connection quit
  did -ra MultiserverDialog 1405 $readini $scriptdir $+ multidata.ini connection server
  did -ra MultiserverDialog 1406 $readini $scriptdir $+ multidata.ini connection port
  did -ra MultiserverDialog 1407 $readini $scriptdir $+ multidata.ini connection password

  did -ra MultiserverDialog 1416 $readini $scriptdir $+ multidata.ini identd userID
  did -ra MultiserverDialog 1418 $readini $scriptdir $+ multidata.ini identd system
  did -ra MultiserverDialog 1420 $readini $scriptdir $+ multidata.ini identd port
  var %id.enabled = $readini $scriptdir $+ multidata.ini identd enabled
  if (%id.enabled == on) { did -c MultiserverDialog 1421 }
  else { did -u MultiserverDialog 1421 }
  var %id.connect = $readini $scriptdir $+ multidata.ini identd connect
  if (%id.connect == on) { did -c MultiserverDialog 1422 }
  else { did -u MultiserverDialog 1422 }
  did -ra MultiserverDialog 1433 $readini -n $scriptdir $+ multidata.ini options floodmax
  did -ra MultiserverDialog 1435 $readini -n $scriptdir $+ multidata.ini options floodint
  did -ra MultiserverDialog 1437 $readini -n $scriptdir $+ multidata.ini options floodignore
  did -ra MultiserverDialog 1449 $readini -n $scriptdir $+ multidata.ini options floodexcept
  did -ra MultiserverDialog 1443 $readini -n $scriptdir $+ multidata.ini options antispam
  var %multi.notify = $readini -n $scriptdir $+ multidata.ini options notify
  if (%multi.notify == on) { did -c MultiserverDialog 1448 }
  else { did -u MultiserverDialog 1448 }

  var %multi.sound = $readini -n $scriptdir $+ multidata.ini options sound
  if (%multi.sound == on) { did -c MultiserverDialog 1455 }
  else { did -u MultiserverDialog 1455 }

  var %multi.read.server.n = 1
  var %multi.read.n = n0
  var %multi.read.i = 0
  var  %multi.read.j = 0
  var %multi.read.server = $readini $mircdir $+ servers.ini servers %multi.read.n
  while (%multi.read.server != $null) {
    if (random !isin %multi.read.server) { 
      if ($numtok(%multi.read.server ,58) > 4) {
        did -a MultiserverDialog  1413 $gettok(%multi.read.server,1, 58) $+ : $+ $gettok(%multi.read.server,3, 58) $+ : $+ $remove($gettok(%multi.read.server,4, 58),GROUP)  
        inc %multi.read.j 1
        if (%multiserver.init.server == $gettok(%multi.read.server,3, 58)) { %multi.read.server.n = %multi.read.j }
      }
      if ($numtok(%multi.read.server ,58) == 3) { 
        did -a MultiserverDialog  1413   %multi.read.server
        inc %multi.read.j 1
        if (%multiserver.init.server == $gettok(%multi.read.server,2, 58)) { %multi.read.server.n = %multi.read.j }
      }
      if ($numtok(%multi.read.server ,58) == 4) { 
        did -a MultiserverDialog  1413 $remove($gettok(%multi.read.server,1, 58),SERVER) $+ : $+ $gettok(%multi.read.server,2, 58) $+ : $+ $remove($gettok(%multi.read.server,3, 58),GROUP)
        inc %multi.read.j 1
        if (%multiserver.init.server == $gettok(%multi.read.server,2, 58)) { %multi.read.server.n = %multi.read.j }
      }
    }
    inc %multi.read.i 1
    %multi.read.n = n $+ %multi.read.i
    %multi.read.server = $readini $mircdir $+ servers.ini servers %multi.read.n
  }
  did -c MultiserverDialog  1413 %multi.read.server.n
  did -ra  MultiserverDialog  1454 $readini -n $scriptdir $+ multidata.ini pos text

  multi.win.pos.setup
}


;combo server list
ON *:DIALOG:MultiserverDialog:SCLICK:1413:{
  var %server.sel = $did(1413).sel
  %server.sel = $did(1413,%server.sel)
  if (%server.sel != $null) {
    did -ra MultiserverDialog 1405 $gettok(%server.sel,2,58)
    if ($chr(45) isin $gettok(%server.sel,3,58)) { 
      did -ra MultiserverDialog 1406 $gettok($gettok(%server.sel,3,58),1,45)
      return
    }
    if ($chr(44) isin $gettok(%server.sel,3,58)) { 
      did -ra MultiserverDialog 1406 $gettok($gettok(%server.sel,3,58),1,44)
      return
    }
    did -ra MultiserverDialog 1406 $gettok(%server.sel,3,58)
  }
}

;connect button
ON *:DIALOG:MultiserverDialog:SCLICK:1390:{
  var %multi.sock.status = multiserver. $+ $did(1405).text
  if ($sock(%multi.sock.status).status == $null) { 
    sockclose identd
    .disable #identd 
    var %data.is.valid = $true
    if ($did(1397).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection username  $did(1397).text  }
    else { %data.is.valid = $false | goto checkMultiData }
    if ($did(1398).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection email $did(1398).text  }
    else { %data.is.valid = $false | goto checkMultiData }
    if ($did(1400).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection nickname $did(1400).text  }
    else { %data.is.valid = $false | goto checkMultiData }
    if ($did(1405).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection server $did(1405).text  }
    else { %data.is.valid = $false | goto checkMultiData }
    if (($did(1406).text != $null) && ($did(1406).text isnum) && ($did(1406).text >= 0)) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection port $did(1406).text  }
    else { %data.is.valid = $false | goto checkMultiData }

    if ($did(1421).state == 1) { 
      writeini " $+ $scriptdir $+ multidata.ini $+ " identd enabled on 
      if ($did(1416).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " identd userID  $did(1416).text }
      else { %data.is.valid = $false | goto checkMultiData }
      if ($did(1418).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " identd system $did(1418).text }
      else { %data.is.valid = $false | goto checkMultiData }
      if (($did(1420).text != $null) && ($did(1420).text isnum) && ($did(1420).text > 0)) { writeini " $+ $scriptdir $+ multidata.ini $+ " identd port $did(1420).text }
      else { %data.is.valid = $false | goto checkMultiData }
    }
    else { remini $scriptdir $+ multidata.ini identd enabled }
    :checkMultiData

    if ($did(1397).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection username  $did(1397).text }
    if ($did(1398).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection email $did(1398).text }
    if ($did(1400).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection nickname $did(1400).text }
    if ($did(1405).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection server $did(1405).text }
    if (($did(1406).text != $null) && ($did(1406).text isnum) && ($did(1406).text > 0)) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection port $did(1406).text }
    if ($did(1407).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection password $did(1407).text  }
    else { remini $scriptdir $+ multidata.ini connection password  }
    if ($did(1409).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection quit $did(1409).text }
    else { remini $scriptdir $+ multidata.ini connection quit }
    if ($did(1422).state == 1) { writeini " $+ $scriptdir $+ multidata.ini $+ " identd connect on } 
    else { remini $scriptdir $+ multidata.ini identd connect }
    if ($did(1396).state == 1) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection invisible on }
    else { remini $scriptdir $+ multidata.ini connection invisible }
    if ($did(1422).state == 1) { writeini " $+ $scriptdir $+ multidata.ini $+ " identd connect on }
    else { remini $scriptdir $+ multidata.ini identd connect }
    save.multi.options

    if (%data.is.valid) {
      var %close.chan.win.tot = $window(@Multi.#*,0)
      var %close.chan.win.i = 1
      while (%close.chan.win.i <= %close.chan.win.tot) {
        if ($did(1405).text == $gettok($window(@Multi.*,%close.chan.win.i),3-,46)) { 
          window -c $window(@Multi.*,%close.chan.win.i)
          dec %close.chan.win.i  1
        }
        %close.chan.win.tot = $window(@Multi.#*,0)
        inc %close.chan.win.i  1
      }

      set %multiserver.username. [ $+ [ $did(1405).text ] ] [ $did(1397).text ]
      set %multiserver.email. [ $+ [ $did(1405).text ] ] [ $did(1398).text ]
      set %multiserver.nick1. [ $+ [ $did(1405).text ] ] [ $did(1400).text ]
      if ($did(1407).text != $null) { set %multiserver.password. [ $+ [ $did(1405).text ] ] [ $did(1407).text ] }
      if ($did(1396).state == 1) { set %multiserver.mode. [ $+ [ $did(1405).text ] ] [ on ] }
      else { unset %multiserver.mode. [ $+ [ $did(1405).text ] ] }
      if ($did(1421).state == 1) {  
        .enable #identd
        var %identd.port.listen = $readini $scriptdir $+ multidata.ini identd port
        socklisten identd %identd.port.listen
      }
      multi.status.win $did(1405).text status
      connect.server $did(1405).text $did(1406).text $did(1407).text
      dialog -x MultiserverDialog
    }
    else {
      echo %colour.error -se *** Error multiserver : connection cancelled, one (or more) data has an invalid format (either in the "connection" or for the "identd" if it was enabled)
    }
  }
  else {
    var %win.status.connected = @Multi.status. [ $+ [ $did(1405).text ] ]
    window -a %win.status.connected
    aline -p $colour(info)  %win.status.connected  Your are already connected to server $did(1405).text ...
    aline -p $colour(info)  %win.status.connected 
  }
}

;tab commands
ON *:DIALOG:MultiserverDialog:SCLICK:1440:{
  did -r MultiserverDialog 1439
  var %cmd.i = 1
  var %cmds.read
  var %cmds.read.n = n1
  while (%cmd.i <= 27) {
    %cmds.read =  $readini -n $scriptdir $+ multidata.ini commands %cmds.read.n
    did -a MultiserverDialog 1439 $gettok(%cmds.read,1,32)
    inc %cmd.i 1
    var %cmds.read.n = n $+ %cmd.i
  }
}

;commands list
ON *:DIALOG:MultiserverDialog:SCLICK:1439:{
  var %cmd.n =  n $+ $did(1439).sel
  var %cmd = $readini $scriptdir $+ multidata.ini commands %cmd.n
  did -ra MultiserverDialog 1425  %cmd
}

;Unlisted command button
ON *:DIALOG:MultiserverDialog:SCLICK:1429:did -ra MultiserverDialog 1425 $readini $scriptdir $+ multidata.ini commands n28


;remove button, tab pos
ON *:DIALOG:MultiserverDialog:SCLICK:1453:{
  var %multi.pos.sel = $did(1452).sel
  if (%multi.pos.sel != $null) {
    %multi.pos.sel = $did(1452,%multi.pos.sel)
    var %multi.pos.setup = $readini -n $scriptdir $+ multidata.ini pos win
    var %multi.pos.setup.i = 1
    var %multi.pos.setup.temp
    while (%multi.pos.setup.i <= $numtok(%multi.pos.setup,32)) {
      if ($gettok(%multi.pos.setup,%multi.pos.setup.i,32) != %multi.pos.sel) {  %multi.pos.setup.temp = %multi.pos.setup.temp $gettok(%multi.pos.setup,%multi.pos.setup.i,32) }
      inc %multi.pos.setup.i 1
    }
    if (%multi.pos.setup.temp == $null) { 
      remini $scriptdir $+ multidata.ini pos win
      remini $scriptdir $+ multidata.ini windows
    }
    else { 
      writeini " $+ $scriptdir $+ multidata.ini $+ " pos win %multi.pos.setup.temp 
      remini $scriptdir $+ multidata.ini windows %multi.pos.sel
    }
    multi.win.pos.setup 
  }
  else { echo $colour(info) -se **** Remove cancelled : no entry selected }
}

;ok button
ON *:DIALOG:MultiserverDialog:SCLICK:1408:{
  if ($did(1397).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection username  $did(1397).text }
  if ($did(1398).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection email $did(1398).text }
  if ($did(1400).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection nickname $did(1400).text }
  if ($did(1405).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection server $did(1405).text }
  if (($did(1406).text != $null) && ($did(1406).text isnum) && ($did(1406).text > 0)) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection port $did(1406).text }
  if ($did(1407).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection password $did(1407).text  }
  else { remini $scriptdir $+ multidata.ini connection password  }
  if ($did(1409).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection quit $did(1409).text }
  else { remini $scriptdir $+ multidata.ini connection quit }
  if ($did(1396).state == 1) { writeini " $+ $scriptdir $+ multidata.ini $+ " connection invisible on }
  else { remini $scriptdir $+ multidata.ini connection invisible }

  if ($did(1416).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " identd userID  $did(1416).text }
  if ($did(1418).text != $null) { writeini " $+ $scriptdir $+ multidata.ini $+ " identd system $did(1418).text }
  if (($did(1420).text != $null) && ($did(1420).text isnum) && ($did(1420).text > 0)) { writeini " $+ $scriptdir $+ multidata.ini $+ " identd port $did(1420).text }
  if ($did(1421).state == 1) { writeini " $+ $scriptdir $+ multidata.ini $+ " identd enabled on }
  else { remini $scriptdir $+ multidata.ini identd enabled }
  if ($did(1422).state == 1) { writeini " $+ $scriptdir $+ multidata.ini $+ " identd connect on }
  else { remini $scriptdir $+ multidata.ini identd connect }
  if ($did(1422).state == 1) { writeini " $+ $scriptdir $+ multidata.ini $+ " identd connect on } 
  else { remini $scriptdir $+ multidata.ini identd connect }
  if ($did(1421).state == 1) { writeini " $+ $scriptdir $+ multidata.ini $+ " identd enabled on } 
  else { remini $scriptdir $+ multidata.ini identd enabled }
  save.multi.options

  var %multi.notify.on =  $readini -n $scriptdir $+ multidata.ini options notify
  if (%multi.notify.on == on) {
    var %multi.notify.win = $window(@Multi.status.*,0)
    var %multi.notify.win.i = 1
    while (%multi.notify.win.i <= %multi.notify.win) {
      var %notify.server = $gettok($window(@Multi.status.*,%multi.notify.win.i),3-,46)
      var %multi.sock.status = multiserver. $+ %notify.server
      if (($sock(%multi.sock.status).status != $null) && (%multi.notify.on == on)) {  
        send.notify %multi.sock.status  
        .timer.multi.notify. [ $+ [ %notify.server ] ] 0 15 /send.notify %multi.sock.status
      }
      else {  .timer.multi.notify. [ $+ [ %notify.server ] ] off } 
      inc %multi.notify.win.i  1
    }
  }
  else {
    var %multi.notify.win = $window(@Multi.status.*,0)
    var %multi.notify.win.i = 1
    while (%multi.notify.win.i <= %multi.notify.win) {
      var %notify.server = $gettok($window(@Multi.status.*,%multi.notify.win.i),3-,46)
      .timer.multi.notify. [ $+ [ %notify.server ] ] off
      unset %multi.start.notify. [ $+ [ %notify.server ] ]
      unset %multiserver.notified. [ $+ [ %notify.server ] ]
      inc %multi.notify.win.i  1
    }
  }

}

alias save.multi.options {
  if (($did(1433).text != $null) && ($did(1433).text isnum) && ($did(1433).text > 0)) { set %MfloodTrigger [ $did(1433).text ] | writeini " $+ $scriptdir $+ multidata.ini $+ " options floodmax $did(1433).text }
  if (($did(1435).text != $null) && ($did(1435).text isnum) && ($did(1435).text > 0)) { set %MfloodInterval [ $did(1435).text ] | writeini " $+ $scriptdir $+ multidata.ini $+ " options floodint $did(1435).text }
  if (($did(1437).text != $null) && ($did(1437).text isnum) && ($did(1437).text > 0)) { set %MfloodTimer [ $did(1437).text ] |  writeini " $+ $scriptdir $+ multidata.ini $+ " options floodignore $did(1437).text }
  if ($did(1449).text != $null) { set %M.no.flood [ $did(1449).text ] |  writeini " $+ $scriptdir $+ multidata.ini $+ " options floodexcept $did(1449).text } 
  else { unset %M.no.flood | remini $scriptdir $+ multidata.ini options floodexcept }
  if ($did(1443).text != $null) { set %Mspam [  $did(1443).text ] | writeini " $+ $scriptdir $+ multidata.ini $+ " options antispam $did(1443).text } 
  else { unset %Mspam | remini $scriptdir $+ multidata.ini options antispam }
  if ($did(1448).state == 1) { writeini " $+ $scriptdir $+ multidata.ini $+ " options notify on } 
  else { remini $scriptdir $+ multidata.ini options notify }
  if ($did(1455).state == 1) { writeini " $+ $scriptdir $+ multidata.ini $+ " options sound on } 
  else { remini $scriptdir $+ multidata.ini options sound }
}


alias multi.win.pos.setup {
  did -r MultiserverDialog 1452
  var %multi.pos.setup = $readini -n $scriptdir $+ multidata.ini pos win
  var %multi.pos.setup.i = 1
  while (%multi.pos.setup.i <= $numtok(%multi.pos.setup,32)) {
    did -a MultiserverDialog 1452 $gettok(%multi.pos.setup,%multi.pos.setup.i,32)
    inc %multi.pos.setup.i 1
  }
}
